# Code of Conduct

To help us deliver great features and support the Renovate Open Source project we ask that you:

- are polite
- pay attention to details
- keep in mind that most maintainers are volunteers
- are respectful of the time and effort of the maintainers

## Our priorities

We want to keep this project sustainable.
This means we support our maintainers and contributors, who spend their free time to help others.

Maintainers getting stressed is a big threat to Open Source projects, like ours.
Stressed maintainers quit, or reduce their time spent on the project.
Often a few users behave badly, where most users are nice.

We want to avoid maintainers getting stressed out by bad behavior from contributors.
That's why we have these rules.

## Politeness

Sadly, it's common in Open Source projects for a few users to behave in an aggressive and rude way.
A user might say something like: "You should have fixed this bug already!", or "Why am I still waiting for this feature?".
We do not allow this kind of behavior.

We expect basic politeness, do not act rude.
For example: it is okay if you ask a question and do not thank us afterwards.
But avoid writing mean comments like: "Pity the documentation didn’t say that." or "Thanks for nothing.".

## Respect the time of those who help you

Respect goes both ways, but time is limited.
When you ask for help, please remember that the maintainer's time is valuable.
We get many questions each week and do our best to answer each one.
To get the help you need, please be prepared to give detailed logs or descriptions of your issues.
If you do not want to spend the effort giving us enough information, it's likely you will not get the help you need.

Remember, most of the support provided by our team, including the Mend.io staff, is _unpaid_.

## Blocking and unblocking

We quickly deal with rudeness in the community with:

- automated comments
- temporary blocks
- permanent bans

If you keep breaking the rules or challenge our guidelines openly, you will be blocked.
For example: if you keep spamming the maintainers with `@mentions` or challenge our rules openly, you will be blocked.

We generally do not argue about these decisions, but we are willing to reverse a block if you show that you understand and respect the rules, or if there was a misunderstanding.
To reverse a block, or to clear up a misunderstanding, write a _short_ email to Renovate's lead maintainer Rhys Arkins.

Simply put: we block and unblock swiftly, what matters is how you follow the rules going forward.

## How we prioritize work

Renovate's core contributors and maintainers focus on work that:

- Helps a lot of users, or
- Fixes regressions (errors introduced by recent changes), or
- Is required by a customer of Mend.io, or
- Is sponsored by third parties after independent validation, or
- We personally need or want to implement

You may be disappointed when we focus on other work ahead of your feature or bug, but you should understand and accept this.

## Maintaining Issue and Code quality

We use GitHub Discussions to start and sort issues.
Only maintainers are allowed to create new issues.
If we confirm a bug or agree with a feature idea, and if it's well-documented, we will turn it into an official issue.
This way most issues are ready to work on, either by us or the community.

We may reject ideas that are too specialized, or that would make the project too hard to maintain.

We have strict coding standards and reviews to keep our code in good shape.
A feature or fix must of course work, but it must also be well designed to stay maintainable.
We may ask you to improve your code several times in a row, which can be difficult for you.
We only do this to keep the project sustainable.

## If you have urgent work

People working for big companies might push too hard in Open Source projects.
It’s often hard for them to understand that our maintainers cannot spend much time to solve their issues quickly.
Frequent requests for updates like "@rarkins how can we move this forward?" are _not_ helpful.

Please remember, unless you are a Mend.io customer, this project does not owe you the level of response or support you might expect.
Mend.io customers should use their designated support channels for urgent needs.

## Getting more help

If you need more assistance than what this project offers, you have two options:

1. Become a Mend.io customer, such as by buying Renovate Enterprise, or
1. Hire an experienced Renovate contributor privately for consulting. Mend.io staff do _not_ offer this service, but one of our volunteer maintainers, [`@secustor`](https://github.com/secustor), does

## Feedback

We welcome respectful discussions about these rules and accept suggestions that improve this text.
We avoid debates on social media or going off-topic in GitHub Discussions.

Because we enforce all these rules, we can deliver new features and give excellent support to the community.
